Package com.io7m.cardant.server.api

# Record Class CAServerHTTPConfiguration

java.lang.Object
java.lang.Record
com.io7m.cardant.server.api.CAServerHTTPConfiguration

Record Components:
  `inventoryService` - The inventory API service

public record CAServerHTTPConfiguration(CAServerHTTPServiceConfiguration inventoryService) extends Record
Configuration for the parts of the server that serve over HTTP.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAServerHTTPConfiguration(CAServerHTTPServiceConfiguration inventoryService)`
  Configuration for the parts of the server that serve over HTTP.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CAServerHTTPServiceConfiguration`
  `inventoryService()`
  Returns the value of the `inventoryService` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAServerHTTPConfiguration

    public CAServerHTTPConfiguration(CAServerHTTPServiceConfiguration inventoryService)
    Configuration for the parts of the server that serve over HTTP.
    Parameters:
      `inventoryService` - The inventory API service

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### inventoryService

    public CAServerHTTPServiceConfiguration inventoryService()
    Returns the value of the `inventoryService` record component.
    Returns:
      the value of the `inventoryService` record component